Create SAML IdP Configuration
Creates a new SAML-based Identity Provider configuration for the Tenant, enabling authentication and federation with the specified IdP.
Creates a new SAML-based Identity Provider configuration for the Tenant, enabling authentication and federation with the specified IdP.
Authorization
M2MBearerToken M2M Token for authentication
In: header
Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
application/json
application/json
application/json
application/json
curl -X POST "https://api.loginradius.com/v2/manage/saml-clients" \ -H "Content-Type: application/json" \ -d '{ "AppName": "string" }'{
"AfterLogoutUrl": "https://example.com/logout",
"AppName": "ExampleApp",
"ArtifactReceiver": "https://example.com/artifact-receiver",
"AssertionConsumerService": {
"Binding": "urn:oasis:names:tc:SAML:2.0:bindings:HTTP-POST",
"Location": "https://example.com/acs"
},
"Attributes": {
"additionalProperties": {
"AlternativeMappingKey": "exampleKey",
"Format": "urn:oasis:names:tc:SAML:2.0:nameid-format:transient",
"IsStatic": true,
"Value": "exampleValue"
}
},
"Audiences": [
"https://example.com/audience1",
"https://example.com/audience2"
],
"DefaultRequestBinding": "urn:oasis:names:tc:SAML:2.0:bindings:HTTP-POST",
"IdpCertificate": {
"Certificate": "MIIC...example...certificate",
"Key": "MIIC...example...key"
},
"IsIdpInitiated": true,
"IssuerUrl": "https://example.com/issuer",
"LoginUrl": "https://example.com/login",
"NameIdFormat": "urn:oasis:names:tc:SAML:1.1:nameid-format:emailAddress",
"NotOnOrAfter": 1609459200,
"RelayStateParameter": "exampleRelayState",
"SamlVersion": "2.0",
"SpCertificate": {
"Certificate": "MIIC...example...spcertificate"
},
"SpLogoutUrl": "https://example.com/sp-logout",
"IsPrebuiltIntegration": true,
"ReplyUrl": "https://example.com/reply",
"IntegrationType": "exampleType",
"IntegrationConfigs": {
"IdpSHA1Fingerprint": "exampleFingerprint",
"AccountName": "exampleAccount"
}
}{
"ErrorCode": 7914,
"Message": "Post body is invalid",
"Description": "Please use a valid post body in JSON format."
}{
"Message": "Access Unauthorized",
"Description": "Access Unauthorized, please use valid authorization to access this endpoint.",
"ErrorCode": 6002
}{
"Description": "Security Assertion Markup Language (SAML) configuration for the provided ProviderName has already been added to your LoginRadius site.",
"ErrorCode": 7939,
"Message": "SAML configuration already exist"
}{
"Message": "Operation failed due to an internal error.",
"Description": "An unknown internal error occurred, please try again in a few minutes or contact your system administrator.",
"ErrorCode": 7909
}List SAML IdP Integrations GET
Retrieves a list of all configured SAML-based Identity Provider integrations for the Tenant, including metadata and settings for authentication.
Retrieve SAML IdP client configuration by app name GET
Retrieves the SAML-based Identity Provider configuration details for the Tenant using the application name, including metadata and settings.